发新帖

关于tensorflow2.1.0导入包错误

[复制链接]
164 3

快来加入 TensorFlowers 大家庭!

您需要 登录 才可以下载或查看,没有帐号?加入社区

x
导入包发生如下错误Traceback (most recent call last):
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "G:\anaconda\envs\basecopy\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "G:\anaconda\envs\basecopy\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 找不到指定的模块。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "G:/pyexercise/pyexercise7(tensor).py", line 2, in <module>
    import tensorflow as tf
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow\__init__.py", line 101, in <module>
    from tensorflow_core import *
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module>
    from tensorflow.python.tools import module_util as _module_util
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__
    module = self._load()
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow\__init__.py", line 44, in _load
    module = _importlib.import_module(self.__name__)
  File "G:\anaconda\envs\basecopy\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "G:\anaconda\envs\basecopy\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "G:\anaconda\envs\basecopy\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "G:\anaconda\envs\basecopy\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 找不到指定的模块。


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.



我知道答案 回答被采纳将会获得10 金币 + 10 金币 已有3人回答
本楼点评(2) 收起

精彩评论3

终于有小号了  TF荚荚  发表于 2020-2-14 20:39:21 | 显示全部楼层
GPU版本吧
我也遇到了相同的问题
本楼点评(0) 收起
您需要登录后才可以回帖 登录 | 加入社区

本版积分规则

快速回复 返回顶部 返回列表